- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
erf
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Error function value. More...

## Functions
AFAPI array | erf (const array &in)
| C++ Interface for error function value. More...
AFAPI af_err | af_erf (af_array *out, const af_array in)
| C Interface for error function value. More...

## Detailed Description

Error function value.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_erf | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for error function value.

Parameters

  [out] | out | will contain the error function value of `in`
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::erf | ( | const array & | in | ) |

C++ Interface for error function value.

Parameters

  [in] | in | is input

Returns
  the error function value

Examples:
  black_scholes_options.cpp.